/* gage_std.h */
/*
    This file is part of lwc-gage-avr.
    Copyright (C) 2019 bg nerilex (bg@nerilex.org)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GAGE_STD_H_
#define GAGE_STD_H_

#include "constants.h"

void GAGE_CORE (struct state *s);

void Initialize(struct state *s);
void Padd(unsigned char *mpad, const unsigned char *in, unsigned long long inlen);
void Absorb(struct state *s, const unsigned char *in, unsigned long long inlen, unsigned char *mpad);
void Squeeze(struct state *s, unsigned char *out);

#endif /* GAGE_STD_H_ */
