#!/bin/bash

idx=0

if [[ -z "$1" ]] ; then
  fbase="report_"
else
  fbase="$1"
fi

if [[ -z "$2" ]] ; then
  suffix=".txt"
else
  suffix="$2"
fi

fname="${fbase}$(printf %04d ${idx})${suffix}"

while [ -e "$fname" ]; do
  idx=$(($idx + 1))
  fname="${fbase}$(printf %04d ${idx})${suffix}"
done

tee "$fname"

